using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class BemsAlarmLog {
        [Display(Name = "현장 고유번호"), Key]
        public int SiteId { get; set; }
        [Display(Name = "알람 대상 설비의 TypeId"), Key]
        public int FacilityTypeId { get; set; }
        [Display(Name = "알람 대상 설비의 Code"), Key]
        public int FacilityCode { get; set; }
        [Display(Name = "알람 대상 설비의 PropertyId"), Key]
        public int PropertyId { get; set; }
        [Display(Name = "관제점 분석 요소 ID"), Key]
        public int FormulaId { get; set; }
        [Display(Name = "알람 발생 시간"), Key]
        [Column(TypeName = "datetime")]
        public DateTime CreatedDateTime { get; set; }
        [Display(Name = "알람 발생 시점 관제점 값")]
        public double? CurrentValue { get; set; }
        [Display(Name = "SMS 전송 결과")]
        [StringLength(2)]
        public string SMSResult { get; set; }
        [Display(Name = "Email 전송 결과")]
        [StringLength(2)]
        public string EmailResult { get; set; }
        [Display(Name = "알람 확인 여부")]
        public bool? Conform { get; set; }

        [ForeignKey("SiteId,FacilityTypeId,FacilityCode,PropertyId,FormulaId")]
        [InverseProperty("BemsAlarmLog")]
        public virtual BemsAlarmSetting BemsAlarmSetting { get; set; }
    }
}
